net.sf.jasperreports.engine.export

## Class JRTextExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRTextExporterParameter

- Deprecated.
  Replaced by `TextExporterConfiguration`.

      public class JRTextExporterParameter
      extends JRExporterParameter

  Contains parameters useful for export in plain text format.

  The text exporter can send data to a string buffer, output stream, character stream or file on disk. The engine looks among the export parameters in order to find the selected output type in this order: OUTPUT_STRING_BUFFER, OUTPUT_WRITER, OUTPUT_STREAM, OUTPUT_FILE, OUTPUT_FILE_NAME.

  Version:
    $Id: JRTextExporterParameter.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRTextExporterParameter` | `BETWEEN_PAGES_TEXT` Deprecated. Replaced by `TextExporterConfiguration.getPageSeparator()`.
    `static JRTextExporterParameter` | `CHARACTER_HEIGHT` Deprecated. Replaced by `TextReportConfiguration.getCharHeight()`.
    `static JRTextExporterParameter` | `CHARACTER_WIDTH` Deprecated. Replaced by `TextReportConfiguration.getCharWidth()`.
    `static JRTextExporterParameter` | `LINE_SEPARATOR` Deprecated. Replaced by `TextExporterConfiguration.getLineSeparator()`.
    `static JRTextExporterParameter` | `PAGE_HEIGHT` Deprecated. Replaced by `TextReportConfiguration.getPageHeightInChars()`.
    `static JRTextExporterParameter` | `PAGE_WIDTH` Deprecated. Replaced by `TextReportConfiguration.getPageWidthInChars()`.
    `static java.lang.String` | `PROPERTY_CHARACTER_HEIGHT` Deprecated. Replaced by `TextReportConfiguration.PROPERTY_CHARACTER_HEIGHT`.
    `static java.lang.String` | `PROPERTY_CHARACTER_WIDTH` Deprecated. Replaced by `TextReportConfiguration.PROPERTY_CHARACTER_WIDTH`.
    `static java.lang.String` | `PROPERTY_PAGE_HEIGHT` Deprecated. Replaced by `TextReportConfiguration.PROPERTY_PAGE_HEIGHT`.
    `static java.lang.String` | `PROPERTY_PAGE_WIDTH` Deprecated. Replaced by `TextReportConfiguration.PROPERTY_PAGE_WIDTH`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRTextExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CHARACTER_WIDTH

          public static final JRTextExporterParameter CHARACTER_WIDTH

      Deprecated. Replaced by `TextReportConfiguration.getCharWidth()`.

    - #### PROPERTY_CHARACTER_WIDTH

          public static final java.lang.String PROPERTY_CHARACTER_WIDTH

      Deprecated. Replaced by `TextReportConfiguration.PROPERTY_CHARACTER_WIDTH`.
      See Also:
        Constant Field Values

    - #### CHARACTER_HEIGHT

          public static final JRTextExporterParameter CHARACTER_HEIGHT

      Deprecated. Replaced by `TextReportConfiguration.getCharHeight()`.

    - #### PROPERTY_CHARACTER_HEIGHT

          public static final java.lang.String PROPERTY_CHARACTER_HEIGHT

      Deprecated. Replaced by `TextReportConfiguration.PROPERTY_CHARACTER_HEIGHT`.
      See Also:
        Constant Field Values

    - #### PAGE_WIDTH

          public static final JRTextExporterParameter PAGE_WIDTH

      Deprecated. Replaced by `TextReportConfiguration.getPageWidthInChars()`.

    - #### PROPERTY_PAGE_WIDTH

          public static final java.lang.String PROPERTY_PAGE_WIDTH

      Deprecated. Replaced by `TextReportConfiguration.PROPERTY_PAGE_WIDTH`.
      See Also:
        Constant Field Values

    - #### PAGE_HEIGHT

          public static final JRTextExporterParameter PAGE_HEIGHT

      Deprecated. Replaced by `TextReportConfiguration.getPageHeightInChars()`.

    - #### PROPERTY_PAGE_HEIGHT

          public static final java.lang.String PROPERTY_PAGE_HEIGHT

      Deprecated. Replaced by `TextReportConfiguration.PROPERTY_PAGE_HEIGHT`.
      See Also:
        Constant Field Values

    - #### BETWEEN_PAGES_TEXT

          public static final JRTextExporterParameter BETWEEN_PAGES_TEXT

      Deprecated. Replaced by `TextExporterConfiguration.getPageSeparator()`.

    - #### LINE_SEPARATOR

          public static final JRTextExporterParameter LINE_SEPARATOR

      Deprecated. Replaced by `TextExporterConfiguration.getLineSeparator()`.

  - ### Constructor Detail

    - #### JRTextExporterParameter

          public JRTextExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com